%global shortfontname orbitron
%global fontname tlomt-%{shortfontname}
%global fontconf 61-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.000
Release:        15%{?dist}
Summary:        Geometric sans-serif typeface

License:        OFL
URL:            http://www.theleagueofmoveabletype.com/
Source0:        http://s3.amazonaws.com/theleague-production/fonts/%{shortfontname}.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Orbitron is a geometric sans-serif typeface intended for display purposes. It
features four weights (light, medium, bold, and black), a stylistic
alternative, small caps, and a ton of alternate glyphs. Orbitron was designed
so that graphic designers in the future will have some alternative to typefaces
like Eurostile or Bank Gothic. If you’ve ever seen a futuristic sci-fi movie,
you have may noticed that all other fonts have been lost or destroyed in the
apocalypse that led humans to flee earth. Only those very few geometric
typefaces have survived to be used on spaceship exteriors, spacestation
signage, monopolistic corporate branding, uniforms featuring aerodynamic
shoulder pads, etc. Of course Orbitron could also be used on the posters for
the movies portraying this inevitable future.

%prep
%setup -q -n Orbitron
#
# supress windows EOL style
#
sed 's/\r//' Open\ Font\ License.txt > License.new
touch -r Open\ Font\ License.txt License.new
mv License.new Open\ Font\ License.txt


%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc readme.txt
%doc "Open Font License.txt"
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Oct 18 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.000-10
- Add metainfo file to show this font in gnome-software

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Alexis Lameire <alexisis-pristontale@hotmail.com> - 1.000-7
- solve mass rebuild fail (#914547)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 26 2010 alexisis-pristontale@hotmail.com - 1.000-2
- bad version naming

* Thu Aug 26 2010 Lameire Alexis <alexisis-pristontale@hotmail.com> - 1.0.0.0-1
- initial release

